Bug 1927407 - Tables don't render properly at smaller screen widths
Summary: Tables don't render properly at smaller screen widths
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.z
Assignee: Joe Caiani
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On: 1927013
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-10 16:45 UTC by OpenShift BugZilla Robot
Modified: 2021-03-16 08:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-16 08:42:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8130 0 None open [release-4.7] Bug 1927407: update pf virtualized dependency to fix breakpoint prop missing in virtualized table 2021-02-26 01:00:42 UTC
Red Hat Product Errata RHBA-2021:0749 0 None None None 2021-03-16 08:43:14 UTC

Description OpenShift BugZilla Robot 2021-02-10 16:45:51 UTC
+++ This bug was initially created as a clone of Bug #1927013 +++

Created attachment 1756043 [details]
Screenshot of table layout

With the latest Patternfly release, the tables stack content instead of rendering them in columns. This doesn't match the table headers in our list views, and it's something that OpenShift has intentionally disabled in the past. See attached screenshot.

--- Additional comment from spadgett@redhat.com on 2021-02-09 20:23:46 UTC ---

We have the gridBreakPoint set to none here:

https://github.com/spadgett/console/blob/e2b0faf559fb74b3d91da70d3ba98382c4070304/frontend/public/components/factory/table.tsx#L714

Comment 3 Yanping Zhang 2021-03-10 06:35:58 UTC
Tested on ocp 4.7 cluster with payload 4.7.0-0.nightly-2021-03-06-183610.
Checked on pods list page from ipad/iphone X, tables are rendered correctly. The bug is fixed.

Comment 5 errata-xmlrpc 2021-03-16 08:42:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.2 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0749


Note You need to log in before you can comment on or make changes to this bug.